#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	zstd
Version		:	1.5.5
Release		:	14.8.0.0%{?dist}
Summary		:	Zstd compression library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD and GPLv2
URL		:	https://github.com/facebook/zstd

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc-c++

#-----------------------------------------------------------------------------
%description
Zstd, short for Zstandard, is a fast lossless compression algorithm,
targeting real-time compression scenarios at zlib-level compression ratio.
 
#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%doc CHANGELOG README.md
%license COPYING LICENSE
%{_bindir}/%{name}
%{_bindir}/%{name}mt
%{_bindir}/un%{name}
%{_bindir}/%{name}cat
%{_bindir}/%{name}grep
%{_bindir}/%{name}less
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/un%{name}.1*
%{_mandir}/man1/%{name}cat.1*
%{_mandir}/man1/%{name}grep.1*
%{_mandir}/man1/%{name}less.1*

#=============================================================================
%package		libs
Summary		:	Zstd shared library

#-----------------------------------------------------------------------------
%description		libs
Zstandard compression shared library

#-----------------------------------------------------------------------------
%files			libs
%license COPYING LICENSE
%{_libdir}/lib%{name}.so.1*
 

#=============================================================================
%package		devel
Summary		:	Header files for Zstd library

#-----------------------------------------------------------------------------
Requires	:	%{name}-libs	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Devel Header files for Zstd library

#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/zdict.h
%{_includedir}/%{name}.h
%{_includedir}/%{name}_errors.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

#=============================================================================
%package		static
Summary		:	Static variant of the Zstd library.

#-----------------------------------------------------------------------------
Requires	:	%{name}-devel	= %{version}-%{release}


#-----------------------------------------------------------------------------
%description		static
Static variant of the Zstd library.

#-----------------------------------------------------------------------------
%files			static
%{_libdir}/lib%{name}.a

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#checking zstd library
#%check
#%{__make}						\
#	-C tests					\
#	test-zstd

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	PREFIX=%{_prefix}				\
	LIBDIR=%{_libdir}				\
	install


#-----------------------------------------------------------------------------
%changelog
